package hu.bme.mit.socialnetwork.resources;

import org.eclipse.core.resources.IFolder;
import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IProjectDescription;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;

public class CreateProjectHelper {

	public void createProject(IProjectDescription description,
			IProject project, IProgressMonitor monitor)
			throws CoreException {
		project.create(monitor);
		project.open(IResource.BACKGROUND_REFRESH, monitor);
		// Setting nature
		IProjectDescription desc = project.getDescription();
		desc.setNatureIds(new String[] {SocialNetworkProjectNature.NATURE_ID});
		project.setDescription(desc, monitor);
		// Creating folder structure
		IFolder dataFolder = project.getFolder(SocialNetworkProjectNature.DATADIR);
		dataFolder.create(true, true, monitor);
		IFolder outputFolder = project.getFolder(SocialNetworkProjectNature.OUTPUTDIR);
		outputFolder.create(true, true, monitor);
	}
	
	
}
